## ros-ardent-turtlebot2-cartographer 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(turtlebot2_cartographer)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(
  DIRECTORY configuration_files launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_package()

=== debian/changelog ===
ros-ardent-turtlebot2-cartographer (0.4.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 20 Jul 2018 07:00:00 -0000

ros-ardent-turtlebot2-cartographer (0.4.0-0xenial) xenial; urgency=high

  * 0.0.3
  * typo depthimage_to_poincloud2 => depthimage_to_pointcloud2
  * rename depth_to_pointcloud to dephimage_to_pointcloud2 (#50 <https://github.com/ros2/turtlebot2_demo/issues/50>)
  * 0.0.2
  * Tb2 repos refactor (#46 <https://github.com/ros2/turtlebot2_demo/issues/46>)
  * Contributors: Dirk Thomas, Mikael Arguedas, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-ardent-turtlebot2-cartographer
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-ardent-ament-cmake, ros-ardent-ament-lint-auto, ros-ardent-ament-lint-common, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-turtlebot2-cartographer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-ardent-ament-index-python, ros-ardent-astra-camera, ros-ardent-cartographer-ros, ros-ardent-depthimage-to-laserscan, ros-ardent-depthimage-to-pointcloud2, ros-ardent-joy, ros-ardent-launch, ros-ardent-ros2run, ros-ardent-teleop-twist-joy, ros-ardent-tf2-ros, ros-ardent-turtlebot2-drivers, ros-ardent-ros-workspace
Description: Launch files for turtlebot2 cartographer demo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-turtlebot2-cartographer//opt/ros/ardent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
